/****************************************************************************
** Form interface generated from reading ui file 'PNC3.ui'
**
** Created: Thu Nov 11 16:53:34 2010
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef PNC3_H
#define PNC3_H


#include <qvariant.h>
#include <qpixmap.h>
#include <qmainwindow.h>
#include <qfiledialog.h> 
#include <qfile.h> 
#include <qapplication.h> 
#include <qtimer.h>

#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlabel.h>
#include <qtextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qaction.h>

#include <qmenubar.h>
#include <qpopupmenu.h>
#include <qtoolbar.h>
#include <qimage.h>
#include <qpixmap.h>
#include <qregexp.h> 
#include <qmessagebox.h>


class PNC3 : public QMainWindow
{
    Q_OBJECT

public:
    PNC3( QWidget* parent = 0, const char* name = 0, WFlags fl = WType_TopLevel );
    ~PNC3();

    void initialise();
    int portSetUp();
    int portWrite(const char* );
    int portRead(char* );

    void Format(QString &, bool);
    void FormatReturn();
    bool checkReturn(char * buf);

    void getErrorCode(QString&, int);
    void removeChar(QString& , QString );
    void removeNextChar(QString& , QString);
    void spaceChar(QString& , QString);

    int fd; 	// ptr to serial port
  
    QString ack, nak, uk;

    QStringList blockList;
    QStrList cmdstrings[500];
    QString defaultDir;
    QString lastFilename;
   

    QPushButton* ReceivepushButton;
    QPushButton* SendpushButton;
    QPushButton* ClearPushButton;
    QTextEdit* textEdit2;
    QTextEdit* textEdit1;
    QLabel* textLabel1;
    QMenuBar *MenuBar;
    QPopupMenu *fileMenu;
    QPopupMenu *editMenu;
    QPopupMenu *gcodeMenu;
    QPopupMenu *helpMenu;
    QToolBar *toolBar;
    QAction* fileNewAction;
    QAction* fileOpenAction;
    QAction* fileSaveAction;
    QAction* fileSaveAsAction;
    QAction* filePrintAction;
    QAction* fileExitAction;
    QAction* editUndoAction;
    QAction* editRedoAction;
    QAction* editCutAction;
    QAction* editCopyAction;
    QAction* editPasteAction;
    QAction* editFindAction;
    QAction* helpAboutAction;
    QAction* gcodePCDAction;
    QAction* gcodeHolesAction;
    QAction* gcodeRingsAction;
    QAction* gcodeRectangleAction;
    QAction* peckSettingsAction;

public slots:
    virtual void fileNew();
    virtual void fileOpen();
    virtual void fileSave();
    virtual void fileSaveAs();
    virtual void fileExit();
    virtual void editUndo();
    virtual void editRedo();
    virtual void editCut();
    virtual void editCopy();
    virtual void editPaste();
    virtual void helpAbout();
    virtual void gcodePCD();
    virtual void gcodeHoles();
    virtual void gcodeRings();
    virtual void gcodeRectangle();
    virtual void peckSettings();
    virtual void OnSend_clicked();
    virtual void OnReceive_clicked();
    virtual void OnClear();
protected:

protected slots:
    virtual void languageChange();

private:
    QPixmap image0;
    QPixmap image1;
    QPixmap image2;
    QPixmap image4;
    QPixmap image5;
    QPixmap image6;
    QPixmap image7;
    QPixmap image8;
    QPixmap image9;

};

#endif // PNC3_H
